# $Revision: 1.40 $, $Date: 2007-02-13 07:16:53 $
%include	/usr/lib/rpm/macros.perl
%define		pdir	CGI
%define		pnam	modules
Summary:	A set of modules for use in writing CGI scripts
Summary(pl.UTF-8):	Zestaw modułów do wykorzystania przy pisaniu skryptów CGI
Name:		perl-CGI-modules
Version:	2.76
Release:	13
# same as perl (Artistic for Carp.pm)
License:	GPL v1+ (except Carp.pm) or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	be3a6dff87ae14bbf54b60005ceb5bb3
Patch0:		%{name}-paths.patch
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 3.0.3-16
Requires:	perl-libwww
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package contains a set of modules for use in writing CGI scripts.

%description -l pl.UTF-8
Ten pakiet zawiera zestaw modułów do wykorzystania przy pisaniu skryptów
CGI.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1
mv CGI/test.pl test.pl

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_mandir}/man3/CGI::Carp.3pm

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{perl_vendorlib}/CGI/[!C]*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-CGI-modules.spec,v $
Revision 1.40  2007-02-13 07:16:53  glen
- tabs in preamble

Revision 1.39  2007/02/12 00:49:23  baggins
- converted to UTF-8

Revision 1.38  2006/08/08 14:38:10  sparky
- mass attack: s/%patch /%patch0 / -- usefull for overloaded %patch macro

Revision 1.37  2004/11/03 13:21:17  paladine
- spaces->tabs
- formatting

Revision 1.36  2004/06/05 18:10:32  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.35  2004/05/06 18:09:19  ankry
- fixed perl-devel BR

Revision 1.34  2004/04/17 18:00:51  ankry
- license/summary/description fixes

Revision 1.33  2003/09/30 11:05:30  qboosh
- use standard glob exclusion

Revision 1.32  2003/09/14 18:59:07  radek
- release 13: removed test.pl and CGI/Carp.pm (conflicts with perl-CGI)

Revision 1.31  2003/09/09 10:24:28  ankry
- spaces -> tab

Revision 1.30  2003/09/08 00:02:29  radek
- release 12: updated for perl-5.8.0 (on behalf of Zbyniu Krzystolik)

Revision 1.29  2003/05/28 13:00:28  malekith
- massive attack: source-md5

Revision 1.28  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.27  2003/04/12 09:28:45  ankry
- release up to be higher than in RA-branch; cosmetics

Revision 1.26  2003/04/11 18:59:21  radek
- BR: perl-devel; do not BR: perl

Revision 1.25  2003/02/25 00:36:52  radek
- use the __perl macro

Revision 1.24  2003/02/18 15:27:38  ankry
- massive attack: change CPAN URLs

Revision 1.23  2002/09/15 22:34:28  radek
- removed CGI::Carp (newer version is in perl-CGI)
- removed HTML documentation (the same as manuals)
- fixed summaries/descriptions
- release 9

Revision 1.22  2002/07/10 08:46:26  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.21  2002/05/11 14:28:05  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.20  2002/02/25 05:56:28  kloczek
- cosmetics.

Revision 1.19  2002/02/22 23:29:26  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.18  2002/02/13 14:09:58  depesz
automatic: Source location unfied, Relase Up

Revision 1.17  2002/02/10 15:24:23  depesz
adapterized

Revision 1.16  2002/01/18 02:14:12  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.15  2001/11/28 15:20:14  mis
- buildarch noarch; release++

Revision 1.14  2001/04/17 12:06:16  baggins
- release 6
- rebuild with perl 5.6.1

Revision 1.13  2001/04/14 18:00:04  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.12  2000/12/28 10:47:47  kloczek
- release 5: rebuild agaunst perl 5.6 and use new rpm automation.

Revision 1.11  2000/08/27 18:28:34  kloczek
- release 4.

Revision 1.10  2000/06/09 07:54:45  kloczek
- more %%{__make} macros.

Revision 1.9  2000/06/09 07:23:28  kloczek
- added using %%{__make} macro.

Revision 1.8  2000/05/16 22:13:21  kloczek
- spec adapterized.

Revision 1.7  2000/04/01 11:15:17  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.6  2000/03/28 16:54:45  baggins
- translated kloczkish into english

Revision 1.5  1999/11/07 09:17:08  pius
- fixed required rpm-perlprov version

Revision 1.4  1999/10/31 00:54:26  pius
- added '%include /usr/lib/rpm/macros.perl'
- BuildRequires: rpm-perlprov, perl >= 5.005_03-13

Revision 1.3  1999/10/02 21:39:25  pius
- removed CGI::Carp.3pm (it belongs to perl package)

Revision 1.2  1999/10/02 21:28:02  pius
- fixed paths (perl-CGI-modules-paths.patch)

Revision 1.1  1999/10/01 21:51:11  pius
- initial release
